// Code generated by sqlc. DO NOT EDIT.
// versions:
//   sqlc v1.15.0

package main

import (
	"database/sql"
	"encoding/json"
	"time"
)

type BookableDay struct {
	Date              string
	HouseID           string
	PriceID           string
	RestrictionReason string
}

type Booking struct {
	ID               int32
	HouseID          string
	StartAt          time.Time
	EndAt            time.Time
	PeopleOver       json.RawMessage
	Contact          string
	Email            string
	Phone            string
	Comment          string
	Invoice          json.RawMessage
	CreatedAt        time.Time
	AdminConfirmedAt sql.NullTime
	UserConfirmedAt  sql.NullTime
	CancelledAt      sql.NullTime
	HashedToken      string
	Landline         string
}

type BookingExtraCharge struct {
	BookingID int32
	ChargeID  string
	Percent   int32
}

type Charge struct {
	ID                     string
	Name                   string
	Description            string
	HouseID                string
	PriceID                string
	Unit                   string
	Amount                 int32
	MinPersonCharged       int32
	ChargedOverPersonCount int32
	ExemptedUnderAge       int32
	Optionality            string
	CreatedAt              time.Time
	DeletedAt              sql.NullTime
}

type Email struct {
	ID            string
	BookingID     int32
	HeaderFrom    string
	HeaderTo      string
	HeaderSubject string
	TextPlain     string
	CreatedAt     time.Time
	SentAt        sql.NullTime
	FatalError    string
}

type ExtraRequest struct {
	ID          int32
	Weight      int32
	HouseID     string
	Description string
	Pricing     string
}

type House struct {
	ID                      string
	Name                    string
	CreatedAt               time.Time
	MaxPerson               int32
	StartMinute             int32
	EndMinute               int32
	ReplyTo                 string
	DaysForUserConfirmation int32
	MonthsForPublicBooking  int32
	PublicBookingType       string
}

type HouseUser struct {
	UserID  string
	HouseID string
	Role    string
}

type LogEvent struct {
	ID        int32
	BookingID int32
	UserID    sql.NullString
	Message   string
	CreatedAt time.Time
}

type Price struct {
	ID        string
	Name      string
	CreatedAt time.Time
	HiddenAt  sql.NullTime
}

type User struct {
	ID           string
	Email        string
	Name         string
	CreatedAt    time.Time
	AuthorizedAt sql.NullTime
	Role         string
}
